import { T as TableConfig, S as Space } from './table-config-0c06fb1f.js';

class CalendarConfig extends TableConfig {
  static decode(json) {
    const model = Object.assign(Object.create(CalendarConfig.prototype), json);
    model.space = Space.decode(model.space);
    return model;
  }
}

export { CalendarConfig as C };
